import {
  geoGraticule,
  geoNaturalEarth1,
  geoPath,
  line,
  select,
} from 'd3';

const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({ data: { land, interiors } }) => {
  return (
    <g className="marks">
      <path
        className="sphere"
        d={path({ type: 'Sphere' })}
      />
      <path className="graticules" d={path(graticule())} />
      {land.features.map(feature => (
        <g>
          <path className="land" d={path(feature)}>
            <title>{feature.properties.name}</title>
          </path>
        </g>
      ))}
      <path className="interiors" d={path(interiors)} />
    </g>
  );
};
